package eu.mhsl.craftattack.spawn.varo.appliances.metaGameplay.netherPrevent;

import eu.mhsl.craftattack.core.appliance.ApplianceListener;
import org.bukkit.Material;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.block.BlockPlaceEvent;
import org.bukkit.event.player.PlayerPortalEvent;
import org.bukkit.event.world.PortalCreateEvent;

public class NetherPreventListener extends ApplianceListener<NetherPrevent> {
    @EventHandler
    public void onPortalPlace(BlockPlaceEvent event) {
        if(!event.getBlockPlaced().getType().equals(Material.NETHER_PORTAL)) return;
        event.setCancelled(true);
    }

    @EventHandler
    public void onPortalCreate(PortalCreateEvent event) {
        if(!event.getReason().equals(PortalCreateEvent.CreateReason.FIRE)) return;
        event.setCancelled(true);
    }

    @EventHandler
    public void onPlayerPortal(PlayerPortalEvent event) {
        if(!event.getTo().getWorld().getEnvironment().equals(World.Environment.NETHER)) return;
        event.setCancelled(true);
    }
}
